import java.util.concurrent.Executors

class SomeWork(n: Int) extends Runnable { // ... }
  def run() {
    println("%s".format(n))
    Thread.sleep(100)
  }
}

object ThreadPoolExample {
  def main(args: Array[String]): Unit = {
    val pool = Executors.newFixedThreadPool(8)
    1 to 100 foreach { x =>
      pool.execute(new SomeWork(x))
    }
    pool.shutdown()
  }
}